addData-methods {xps} | R Documentation

## Import additional CEL files into a DataTreeSet

### Description

Import additional CEL files into a DataTreeSet and update `ROOT` data file.

Usage

`addData(object, celdir = NULL, celfiles = "", celnames = NULL, project = NULL, verbose = TRUE)`

### Arguments

`object` | object of class `DataTreeSet`.
`celdir` | system directory containing the CEL-files for corresponding scheme.
`celfiles` | optional vector of CEL-files to be imported.
`celnames` | optional vector of names which should replace the CEL-file names.
`project` | optional class `ProjectInfo`.
`verbose` | logical, if `TRUE` print status information.

### Details

Import additional CEL-files and update `ROOT` data file `rootfile`.

To import CEL-files from different directories, vector `celfiles` must contain the full path for each CEL-file and `celdir` must be `celdir=NULL`.

### Value

A `DataTreeSet` object.

### Author(s)

Christian Stratowa

### See Also

`import.data`, `root.data`

### Examples

    ## get scheme and import subset of CEL-files from package
    scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
    data.test3 <- import.data(scheme.test3,"tmp_test3",celdir=paste(.path.package("xps"),"raw",sep="/"),
                  celfiles=c("TestA1.CEL","TestB2.CEL"),verbose=FALSE)

    unlist(treeNames(data.test3))

    ## add further subset of CEL-files
    data.test3 <- addData(data.test3,celdir=paste(.path.package("xps"),"raw",sep="/"),
                  celfiles=c("TestA2.CEL","TestB1.CEL"),verbose=FALSE)

    unlist(treeNames(data.test3))

[Package xps version 1.2.10 Index]